"""Async helpers"""

import asyncio
from typing import Awaitable, Iterable, List, TypeVar

T = TypeVar("T")


async def gather(coro: Iterable[Awaitable[T]]) -> List[T]:
    """Helper for correct pycharm typing"""
    return await asyncio.gather(*coro)
